/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbtool.script;

import java.io.InputStreamReader;
import java.io.Reader;

/**
 * This implementation load script from classpath.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class ClasspathScript extends DbScript
{
    private final String pathToScript;


    /**
     * simple constructor
     * @param v
     * @param script
     */
    public ClasspathScript(Version v, String script)
    {
        this(script, v, ScriptType.getTypeOfFile(script), script );
    }


    /**
     * Constructor
     */
    public ClasspathScript(String name, Version v, ScriptType type, String pathToScript)
    {
        super(name, v, type);
        this.pathToScript = pathToScript;
    }


    /**
     * {@inheritDoc}
     */
    @Override
    public Reader getScriptReader()
    {
        return new InputStreamReader(ClassLoader.getSystemResourceAsStream(pathToScript));
    }
}
