/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbtool.script;

import java.io.*;

/**
 * File script implementation of {@link DbScript}
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class FileScript extends DbScript
{
	/** points to file where is SQL script */
	private final File scriptFile;


	/**
	 * Constructor
	 * @param scriptFile
	 */
	public FileScript(File scriptFile, Version v, ScriptType type)
	{
		super(scriptFile.getName(), v, type);
		this.scriptFile = scriptFile;
	}


    /**
     * returns file script content
     */
    @Override
    public Reader getScriptReader()
    {
        try {
            return new InputStreamReader( new FileInputStream(scriptFile));
        } catch (FileNotFoundException e) {
            throw new IllegalStateException(e);
        }
    }
}
