/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbtool.sql;

import org.antlr.v4.runtime.ParserRuleContext;
import org.antlr.v4.runtime.tree.ErrorNode;
import org.antlr.v4.runtime.tree.TerminalNode;

/**
 * Abstraction for SqlGrammarListener override all methods and makes
 * the next {@link SqlGrammarListener} more readable without many empty
 * overridden methods.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
abstract class AbstractSqlGrammarListener implements SqlGrammarListener
{
    @Override
    public void enterSqlCommand(SqlGrammarParser.SqlCommandContext ctx) {
    }

    @Override
    public void exitSqlCommand(SqlGrammarParser.SqlCommandContext ctx) {
    }

    @Override
    public void enterSql(SqlGrammarParser.SqlContext ctx) {
    }

    @Override
    public void exitSql(SqlGrammarParser.SqlContext ctx) {
    }

    @Override
    public void enterEndScript(SqlGrammarParser.EndScriptContext ctx) {
    }

    @Override
    public void exitEndScript(SqlGrammarParser.EndScriptContext ctx) {
    }

    @Override
    public void enterBeginScript(SqlGrammarParser.BeginScriptContext ctx) {
    }

    @Override
    public void exitBeginScript(SqlGrammarParser.BeginScriptContext ctx) {
    }

    @Override
    public void visitTerminal(TerminalNode terminalNode) {
    }

    @Override
    public void visitErrorNode(ErrorNode errorNode) {
    }

    @Override
    public void enterEveryRule(ParserRuleContext parserRuleContext) {
    }

    @Override
    public void exitEveryRule(ParserRuleContext parserRuleContext) {
    }
}
