/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbtool.sql;

/**
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public abstract class DecoratorScriptStrategy<T extends SqlScriptStrategy> implements SqlScriptStrategy
{
    /** instance of strategy which is decorated */
    private final T decoratedStrategy;

    /**
     * Constructor
     * @param decoratedStrategy
     */
    protected DecoratorScriptStrategy(T decoratedStrategy)
    {
        this.decoratedStrategy = decoratedStrategy;
    }

    public final T fromDecoratedStrategy()
    {
        return decoratedStrategy;
    }
}
