/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbtool.sql;

import java.util.LinkedList;
import java.util.List;

/**
 * Strategy gather all queries into list.
 *
 * @see SqlScriptStrategy
 * @see SqlScriptLoader
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public class ListStrategy implements SqlScriptStrategy
{
    private final List<String> queries = new LinkedList<String>();

    @Override
    public final void query(String sql)
    {
        queries.add(sql);
    }

    public final List<String> returnListOfQueries()
    {
        return queries;
    }
}
