/*****************************************************************************
 * Copyright 2012 celum Slovakia s r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 *****************************************************************************/
package com.celum.dbtool.sql;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Listener is consumed by {@link SqlExecutionStrategy} in moment
 * when SQL is executed and ResultSet for SQL is available.
 *
 * @author Zdenko Vrabel (zdenko.vrabel@celum.com)
 */
public interface ResultSetListener {

    /**
     * Method is invoked after SQL execution when
     * ResultSet is available. Here you will implement
     * your values processing from ResultSet.
     */
    public void onResultSet(ResultSet rs) throws SQLException;
}
